commit:     7cbd54fcd43eaff673ac7542f7716496d75e2cb1
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 14 19:20:52 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul 14 21:40:18 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7cbd54fc

dev-python/boto3: Bump to 1.17.111

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest              |  1 +
 dev-python/boto3/boto3-1.17.111.ebuild | 56 ++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 07a68f5fc8c..3cc9c83a38e 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -5,4 +5,5 @@ DIST boto3-1.17.107.tar.gz 389348 BLAKE2B 
8c0893d8ad73563f63254877621440ba24dac7
 DIST boto3-1.17.108.tar.gz 389871 BLAKE2B 
964ff0b2d7a437c569e2b19f5c24d228df6595f15d72350b2cae0cb43c5e1f4d8376c0a25ec393a0a0f085650b193afc852fef59d258dd1c3addbfff4c27ce62
 SHA512 
4b78af4e59f399aa022762b6d1dc14252d4f549cdbb9264e5762a927b3a7e391d336ca48d938b1245ceaaa243ec01ea642545bc97abe5f7a3f8f8774ee21e2ce
 DIST boto3-1.17.109.tar.gz 390366 BLAKE2B 
f39548e623fc65907b13d7d5ba8a16034e5f741a3343ef69e52984a2417b4fcf8c21cdd49854222781a41aef0e26a7ffeb38c7a2dc600321ef6e7574f43e785e
 SHA512 
4e13a99db4be8d61b217afc9bf4626ae5e6be524684581d74b7d7ce180c8d74716a0ef196ab6b91a7ef6fa56a57887e6ab0d05da380ebf8ae5bb915ac1a844b2
 DIST boto3-1.17.110.tar.gz 390476 BLAKE2B 
ffe9da7e57a44b673c5f29a0b1c711d63d706c3c68459c89d2aabb3d2ac45730f52e49d73300bcbe6edc53bd1d51d79c1168cb1fc71411bd070a1efe99019200
 SHA512 
7d2307a66a1469b43f166c7458efc326b2158ce16b306c2637f4126ba99cf6880080d78f87c5952c2807445039746d86d62e368a4895efe3bace5dd2ce70dd49
+DIST boto3-1.17.111.tar.gz 391021 BLAKE2B 
f9962bba1cb5e372f5bfcaf7c7f81b8c20dc6643df84b2ac227cf1ee8482f72ab9f9a526ffed586dae70585e8c4aa7dfe83d3e6b9d3ae001b6f3ed64198b23f4
 SHA512 
1e50f9b6e2067110a0613198987c12fafc699d938a41bbe52c3dee56c2e750c5ad3b309b1d4d172ebfe5a3a36396c8a900cf50efb5329ebef35919650a1d83b9
 DIST boto3-1.17.97.tar.gz 383223 BLAKE2B 
1a1b4e9f2c51d830762f27cf3e30038efb88322e300ac304d1cb88d5b7efc6af35ad9810cea7292c9807dcdfedb11ba039ee6d5dbb9162f2a1c6d6936ef75bcc
 SHA512 
e74a59763cc9b8a51fd09121a790d29a7291d9380d4451c2e6af90902f18415a3780eeea7f7d63e052b295792b92c3cdd3b8597f7013241ebbbdb7e418cf73ce

diff --git a/dev-python/boto3/boto3-1.17.111.ebuild 
b/dev-python/boto3/boto3-1.17.111.ebuild
new file mode 100644
index 00000000000..75afb4bcf86
--- /dev/null
+++ b/dev-python/boto3/boto3-1.17.111.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3";
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/boto3";
+       inherit git-r3
+       BOTOCORE_PV=${PV}
+else
+       SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+       # botocore is x.(y+3).z
+       BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+       >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs/source \
+       'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+       # don't lock versions to narrow ranges
+       sed -e '/botocore/ d' \
+               -e '/jmespath/ d' \
+               -e '/s3transfer/ d' \
+               -i setup.py || die
+
+       # prevent an infinite loop
+       rm tests/functional/docs/test_smoke.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests -v tests/unit/ tests/functional/ || die "test failed under 
${EPYTHON}"
+}

Reply via email to